function [t, y] = strangaut(y0, t0, T, h)
% Strang splitting method for the solution of an autonomized IVP
%
% Input:
% y0: initial value
% t0: initial time
% T: end time
% h: step size
%
% output:
% t: time grid
% y: solution at the points of the grid

% initialization


% adapt step size, so that end time is attained precisely





% allocate memory for results
t = zeros(N+1, 1);
y = zeros(2, N+1);

% set starting values
t(1) = t0;
y(:, 1) = y0;

% Timestepping
for k = 1:N
	
	% apply Strang splitting method
	






end
